package com.sxtvs.open.api.odata.controller;

import com.sxtvs.open.api.odata.wxutil.WxCrypt;
import com.sxtvs.open.api.odata.wxutil.WxXmlUtil;
import com.sxtvs.open.core.sls.AliyunLogger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("oauth")
public class OauthRestController {

    @Autowired
    private AliyunLogger logger;

    @Autowired
    private StringRedisTemplate redisTemplate;

    @RequestMapping("weixin/auth")
    public String auth(@RequestBody String body) {
        logger.info("body", body, "key", "oauth/weixin/auth");
        String xml = WxCrypt.decrypt(WxXmlUtil.getEncrypt(body));
        String componentVerifyTicket = WxXmlUtil.getComponentVerifyTicket(xml);
        redisTemplate.opsForValue().set("WX_TICKET", componentVerifyTicket);
        return "success";
    }
}
